## org.hibernate.cfg.annotations
Class CustomizableColumns

    java.lang.Object
      org.hibernate.cfg.annotations.CustomizableColumns

All Implemented Interfaces:
  Annotation, Columns

    public class CustomizableColumns

extends Object
implements Columns

Author:
  Emmanuel Bernard

Constructor Summary
`CustomizableColumns(Column[] columns)`

Method Summary
`Class<? extends Annotation>` `annotationType()`
`Column[]` `columns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.annotation.Annotation
`equals, hashCode, toString`

Constructor Detail

### CustomizableColumns

    public CustomizableColumns(Column[] columns)

Method Detail

### columns

    public Column[] columns()

### annotationType

    public Class<? extends Annotation> annotationType()

  Specified by:
    `annotationType` in interface `Annotation`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.